Foxit PDF SDK

Public Member Functions | List of all members
foxit.common.fxcrt.Int32Array Class Reference

An array of signed integer values. More...

Inheritance diagram for foxit.common.fxcrt.Int32Array:

## Public Member Functions
| Int32Array ()
| Construct a simple object.
| Int32Array (Int32Array other)
| Constructor, with another array object. More...
bool | Add (int newElement)
| Add an element at the tail. Potentially growing the array. More...
int | Find (int data, int iStart)
| Find an element from specified position to last. More...
int | GetAt (int nIndex)
| This method retrieves an element specified by an index number. More...
int | GetSize ()
| Get the number of elements in the array. More...
int | GetUpperBound ()
| Get the upper bound in the array, actually the maximum valid index. More...
bool | InsertAt (int nIndex, int newElement, int nCount)
| Inset one or more continuous element at specified position. More...
bool | InsertAt (int nStartIndex, BasicArray pNewArray)
| Inset an array at specified position. More...
void | RemoveAll ()
| Clean up the array. More...
bool | RemoveAt (int nIndex, int nCount)
| Remove a number of elements at specified position. More...
bool | SetAt (int nIndex, int newElement)
| This method overwrites an element specified by an index number. More...
bool | SetAtGrow (int nIndex, int newElement)
| Set an element value at specified position. Potentially growing the array. More...
bool | SetSize (int nNewSize, int nGrowBy)
| Change the allocated size and the grow amount. More...

## Detailed Description

An array of signed integer values.

## Constructor & Destructor Documentation

## ◆ Int32Array()

foxit.pdf.graphics.Int32Array.Int32Array | ( | Int32Array | other | ) |
| inline

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

bool foxit.common.fxcrt.Int32Array.Add | ( | int | newElement | ) |
| inline

Add an element at the tail. Potentially growing the array.

Parameters

  [in] | newElement | The input element.

Returns
  true means success, while false means failure (such as memory error).

## ◆ Find()

int foxit.common.fxcrt.Int32Array.Find | ( | int | data,
|  | int | iStart
| ) |  |
| inline

Find an element from specified position to last.

Parameters

  [in] | data | The input element.
  [in] | iStart | Specifies the zero-based index of start element to find.

Returns
  An index of the found element. -1 means found none.

## ◆ GetAt()

int foxit.common.fxcrt.Int32Array.GetAt | ( | int | nIndex | ) |
| inline

This method retrieves an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.

Returns
  An element.

## ◆ GetSize()

int foxit.common.fxcrt.Int32Array.GetSize | ( |  | ) |
| inline

Get the number of elements in the array.

Returns
  The number of elements in the array.

## ◆ GetUpperBound()

int foxit.common.fxcrt.Int32Array.GetUpperBound | ( |  | ) |
| inline

Get the upper bound in the array, actually the maximum valid index.

Returns
  The upper bound.

## ◆ InsertAt() [1/2]

bool foxit.common.fxcrt.Int32Array.InsertAt | ( | int | nIndex,
|  | int | newElement,
|  | int | nCount
| ) |  |
| inline

Inset one or more continuous element at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | newElement | Specifies the element value to insert.
  [in] | nCount | Specifies the count of the element to insert.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ InsertAt() [2/2]

bool foxit.common.fxcrt.Int32Array.InsertAt | ( | int | nStartIndex,
|  | BasicArray | pNewArray
| ) |  |
| inline

Inset an array at specified position.

Parameters

  [in] | nStartIndex | Specifies the zero-based index of start element to insert at.
  [in] | pNewArray | The input array.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ RemoveAll()

void foxit.common.fxcrt.Int32Array.RemoveAll | ( |  | ) |
| inline

Clean up the array.

Returns
  None.

## ◆ RemoveAt()

bool foxit.common.fxcrt.Int32Array.RemoveAt | ( | int | nIndex,
|  | int | nCount
| ) |  |
| inline

Remove a number of elements at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | nCount | Specifies the count of element to remove.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ SetAt()

bool foxit.common.fxcrt.Int32Array.SetAt | ( | int | nIndex,
|  | int | newElement
| ) |  |
| inline

This method overwrites an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.
  [in] | newElement | An element.

Returns
  true means success, while false means failure.

## ◆ SetAtGrow()

bool foxit.common.fxcrt.Int32Array.SetAtGrow | ( | int | nIndex,
|  | int | newElement
| ) |  |
| inline

Set an element value at specified position. Potentially growing the array.

Parameters

  [in] | nIndex | Specifies the zero-based index of element in the array.
  [in] | newElement | The input element.

Returns
  true means success, while false means failure.

## ◆ SetSize()

bool foxit.common.fxcrt.Int32Array.SetSize | ( | int | nNewSize,
|  | int | nGrowBy
| ) |  |
| inline

Change the allocated size and the grow amount.

Parameters

  [in] | nNewSize | The new size in elements expected.
  [in] | nGrowBy | The grow amount in elements expected. This can be -1 for the grow amount unchanged.

Returns
  true means success, while false means failure (such as parameter or memory error).